Subject: Re: GDB for Powerpc building problem
From: Daniel Jacobowitz <[email-masked]>
To: Keith Seitz <[email-masked]>
Cc: Jerry Hidayat <[email-masked]>, [email-masked], [email-masked]
Date: Tue, 4 Sep 2001 15:33:02 -0400

On Tue, Sep 04, 2001 at 11:02:54AM -0700, Keith Seitz wrote:
> On Tue, 4 Sep 2001, Jerry Hidayat wrote:
> 
> > I need your help guys....
> > Basically, I am trying to build GDB 4.17 for PowerPC target. I have installed
> > the latest cygwin on my Win NT 4.0 box which also provides a compiler
> > (2.95.3-5). Here is the command I put for configuring GDB builder ,
> > ./configure --target=powerpc-linux-gnu --prefix=/usr/local/powerpc/bin
> > it's configured without any error message.
> > but when I do 'make' I see this error,
> > ******************************************************
> > In file included from sim_calls.c:43:
> > ../../gdb/defs.h:51: conflicting types for 'strsignal'
> > /usr/include/string.h:70: previous declaration of 'strsignal'
> > make[2]: *** [sim_calls.o] Error 1
> > make[2]: Leaving directory '/home/paulh/gdb417/gdb-4.17/sim/ppc'
> > make[1]: *** [all] Error 2
> > make[1]: Leaving directory '/home/paulh/gdb417/gdb-4.17/sim'
> > make: *** [all-sim] Error 2
> > *******************************************************

Try a newer GDB version.  I believe this is caused by a change in
headers in Cygwin very recently; you may need a current CVS snapshot in
order to fix it.

> You should have waited for a message from the gdb list... But your problem
> is very simple: you're buiding for "powerpc-linux-gun". You cannot build
> for one OS on another OS. It doesn't (usually) work.

Huh?  I build Solaris-x-Linux and Cygwin-x-Linux debuggers fairly
frequently.  Cross debuggers take some care not to use target-specific
headers in the target-dependent files for exactly this reason.

-- 
Daniel Jacobowitz                           Carnegie Mellon University
MontaVista Software                         Debian GNU/Linux Developer

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/